<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">

<ui:composition template="/WEB-INF/templates/template.xhtml">
	<ui:define name="content">

		<h:form id="cari">
			<p:panelGrid columns="2">

				<p:selectOneMenu id="periode" 
					value="#{mahasiswaBean.masterPeriodeSemester.idPeriodeSemester}">
					<f:selectItem itemLabel="Select One" itemValue="" />
					<f:selectItems value="#{mahasiswaBean.periodeSemesters}" var="mp"
						itemLabel="#{mp.nama}" itemValue="#{mp.idPeriodeSemester}" />
				</p:selectOneMenu>

				<p:commandButton value="Load Mahasiswa"
					actionListener="#{mahasiswaBean.periode()}"
					update=":formPeriode:periodeMhs, cari" />
			</p:panelGrid>
		</h:form>
		<br />

		<h:form id="formPeriode">
			<p:dataTable id="periodeMhs" editable="true" rows="10"
				paginator="true" value="#{mahasiswaBean.m}" var="mhs"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15">
				<p:column headerText="No" width="5" styleClass="center">
					<p:outputLabel value="#{mahasiswaBean.m.indexOf(mhs)+1}" />
				</p:column>
				<p:column headerText="Nrp" width="40" styleClass="center">
					<p:outputLabel value="#{mhs.npm}" />
				</p:column>

				<p:column headerText="Periode Semester" width="40"
					styleClass="center">
					<p:outputLabel
						value="#{mhs.masterPeriodeSemester.idPeriodeSemester}" />
				</p:column>

				<p:column headerText="Nama Mhs" width="40" styleClass="center">
					<p:outputLabel value="#{mhs.namaMahasiswa}" />
				</p:column>
			</p:dataTable>
		</h:form>
		<br />
		<h:form id="formInput">
			<p:panelGrid columns="4" layout="grid">
				<h:outputLabel for="npm" value="Npm : " />
				<p:inputText id="npm" value="#{mahasiswaBean.mhs.npm}"
					required="true" />

				<h:outputLabel for="nama" value="Nama : " />
				<p:inputText id="nama" value="#{mahasiswaBean.mhs.namaMahasiswa}"
					required="true" />

				<h:outputLabel for="inisial" value="Nama Inisial : " />
				<p:inputText id="inisial" value="#{mahasiswaBean.mhs.namaInisial}"
					required="true" />

				<h:outputLabel for="email" value="Email : " />
				<p:inputText id="email" value="#{mahasiswaBean.mhs.email}"
					required="true" />

				<h:outputLabel for="noHp" value="No Hp : " />
				<p:inputText id="noHp" value="#{mahasiswaBean.mhs.noHpMahasiswa}"
					required="true" />

				<h:outputLabel for="noHpOrtu" value="No Orang Tua : " />
				<p:inputText id="noHpOrtu" value="#{mahasiswaBean.mhs.noHpOrangTua}"
					required="true" />

				<h:outputLabel for="batasStudi" value="Batas Studi : " />
				<p:inputText id="batasStudi" value="#{mahasiswaBean.mhs.batasStudi}"
					required="true" />

				<h:outputLabel for="Status" value="Status : " />
				<p:inputText id="Status" value="#{mahasiswaBean.mhs.status}"
					required="true" />

				<h:outputLabel for="periode" value="Periode: " />
				<p:selectOneMenu id="periode" style="width:113px"
					value="#{mahasiswaBean.masterPeriodeSemester.idPeriodeSemester}">
					<f:selectItem itemLabel="Select One" itemValue="" />
					<f:selectItems value="#{mahasiswaBean.periodeSemesters}" var="mp"
						itemLabel="#{mp.nama}" itemValue="#{mp.idPeriodeSemester}" />
				</p:selectOneMenu>



				<h:outputLabel for="programStudi" value="Program Studi : " />
				<p:selectOneMenu id="programStudi" style="width:113px"
					value="#{mahasiswaBean.masterProgramStudi.idProgramStudi}">
					<f:selectItem itemLabel="Select One" itemValue="" />
					<f:selectItems value="#{mahasiswaBean.masterProgramStudis}"
						var="mp" itemLabel="#{mp.nama}" itemValue="#{mp.idProgramStudi}" />
				</p:selectOneMenu>


				<h:outputLabel for="kurikulum" value="Kurikulum : " />
				<p:selectOneMenu id="kurikulum" style="width:113px"
					value="#{mahasiswaBean.masterKurikulum.idMasterKurikulum}">
					<f:selectItem itemLabel="Select One" itemValue="" />
					<f:selectItems value="#{mahasiswaBean.masterKurikulums}" var="mp"
						itemLabel="#{mp.namaKurikulum}"
						itemValue="#{mp.idMasterKurikulum}" />
				</p:selectOneMenu>

				<h:outputLabel for="alamat" value="alamat : " />
				<p:inputTextarea id="alamat" rows="6" cols="33"
					value="#{mahasiswaBean.mhs.alamat}" />


				<p:commandButton id="submit" value="submit"
					actionListener="#{mahasiswaBean.save()}"
					update=":formData:mahasiswa, formInput" />

			</p:panelGrid>
		</h:form>

		<br />
		<h:form id="formData">
			<p:dataTable id="mahasiswa" editable="true" rows="10"
				paginator="true" value="#{mahasiswaBean.mahasiswas}" var="mhs"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15">
				<p:column headerText="No" width="5" styleClass="center">
					<p:outputLabel value="#{mahasiswaBean.mahasiswas.indexOf(mhs)+1}" />
				</p:column>
				<p:column headerText="Nrp" width="40" styleClass="center">
					<p:outputLabel value="#{mhs.npm}" />
				</p:column>

				<p:column headerText="Periode Semester" width="40"
					styleClass="center">
					<p:outputLabel value="#{mhs.masterPeriodeSemester.nama}" />
				</p:column>
				<p:column headerText="Program Studi" width="40" styleClass="center">
					<p:outputLabel value="#{mhs.masterProgramStudi.nama}" />
				</p:column>
				<p:column headerText="Kurikulum" width="40" styleClass="center">
					<p:outputLabel value="#{mhs.masterKurikulum.namaKurikulum}" />
				</p:column>
				<p:column headerText="Nama Mhs" width="40" styleClass="center">
					<p:outputLabel value="#{mhs.namaMahasiswa}" />
				</p:column>
				<p:column headerText="Inisial Mhs" width="40" styleClass="center">
					<p:outputLabel value="#{mhs.namaInisial}" />
				</p:column>
				<p:column headerText="Email" width="40" styleClass="center">
					<p:outputLabel value="#{mhs.email}" />
				</p:column>
				<p:column headerText="No" width="40" styleClass="center">
					<p:outputLabel value="#{mhs.noHpMahasiswa}" />
				</p:column>
			</p:dataTable>
		</h:form>


		<h:form>
			<p:panelGrid columns="2" layout="grid">
				<h:outputLabel for="idFakultas" value="Npm : " />
				<p:inputText id="idakultas"
					value="#{mahasiswaBean.fakultas.idFakultas}" required="true" />

				<h:outputLabel for="nama" value="perguruan : " />
				<p:inputText id="nama"
					value="#{mahasiswaBean.perguruanTinggi.idPerguruanTinggi}"
					required="true" />
				<h:outputLabel for="namafk" value="namafk : " />
				<p:inputText id="namafk"
					value="#{mahasiswaBean.fakultas.namaFakultas}" required="true" />
				<h:outputLabel for="inisial" value="inisial : " />
				<p:inputText id="inisial"
					value="#{mahasiswaBean.fakultas.inisialFakultas}" required="true" />

				<p:commandButton id="submit" value="submit"
					action="#{mahasiswaBean.save2()}" ajax="false" />



			</p:panelGrid>
		</h:form>
	</ui:define>
</ui:composition>
</html>

